// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-fx-dtos.proto

package com.accelfin.server.demo.fx.dtos;

public interface OrderBookUpdateResponseDtoOrBuilder extends
    // @@protoc_insertion_point(interface_extends:com.accelfin.server.demo.fx.dtos.OrderBookUpdateResponseDto)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>optional string currency_pair = 1;</code>
   */
  java.lang.String getCurrencyPair();
  /**
   * <code>optional string currency_pair = 1;</code>
   */
  com.google.protobuf.ByteString
      getCurrencyPairBytes();

  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderBookRungDto rungs = 2;</code>
   */
  java.util.List<com.accelfin.server.demo.fx.dtos.OrderBookRungDto> 
      getRungsList();
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderBookRungDto rungs = 2;</code>
   */
  com.accelfin.server.demo.fx.dtos.OrderBookRungDto getRungs(int index);
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderBookRungDto rungs = 2;</code>
   */
  int getRungsCount();
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderBookRungDto rungs = 2;</code>
   */
  java.util.List<? extends com.accelfin.server.demo.fx.dtos.OrderBookRungDtoOrBuilder> 
      getRungsOrBuilderList();
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.OrderBookRungDto rungs = 2;</code>
   */
  com.accelfin.server.demo.fx.dtos.OrderBookRungDtoOrBuilder getRungsOrBuilder(
      int index);
}
